- Qt 6.10
- Qt Remote Objects
- C++ Classes
- QRemoteObjectPendingCallWatcher
- Qt 6.10.2 Reference Documentation

# QRemoteObjectPendingCallWatcher Class

Provides a QObject-based API for watching a QRemoteObjectPendingCall. More...

Header: | `#include <QRemoteObjectPendingCallWatcher>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS RemoteObjects)` `target_link_libraries(mytarget PRIVATE Qt6::RemoteObjects)`
qmake: | `QT += remoteobjects`
Inherits: | QRemoteObjectPendingCall and

- List of all members, including inherited members

## Public Functions

bool | isFinished() const
void | waitForFinished()

## Signals

void | finished(QRemoteObjectPendingCallWatcher *self)

## Detailed Description

QRemoteObjectPendingCallWatcher provides a signal indicating when a QRemoteObjectPendingCall has finished, allowing for convenient, non-blocking handling of the call.

## Member Function Documentation

### `[signal]` void QRemoteObjectPendingCallWatcher::finished(QRemoteObjectPendingCallWatcher *self)

This signal is emitted when the remote call has finished. self is the pointer to the watcher object that emitted the signal. A finished call will include a returnValue or error.

### bool QRemoteObjectPendingCallWatcher::isFinished() const

Returns true if the remote call has finished, false otherwise.

A finished call will include a returnValue or error.

### void QRemoteObjectPendingCallWatcher::waitForFinished()

Blocks until the remote call has finished.